petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscDSUseJacobianPreconditioner

Whether to construct a Jacobian preconditioner

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSUseJacobianPreconditioner(PetscDS prob, PetscBool useJacPre)

Not collective

### Input Parameters

| prob | - The PetscDS
| useJacPre | - flag that enables construction of a Jacobian preconditioner

### See Also

PetscDSGetJacobianPreconditioner(), PetscDSSetJacobianPreconditioner(), PetscDSGetJacobian()

### Level

intermediate

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages